## PolkitSystemBusName PolkitSystemBusName — Unique system bus names |

## Functions

PolkitSubject * | polkit_system_bus_name_new ()
const gchar * | polkit_system_bus_name_get_name ()
void | polkit_system_bus_name_set_name ()
PolkitSubject * | polkit_system_bus_name_get_process_sync ()

## Properties

gchar * | name | Read / Write / Construct

## Types and Values

| PolkitSystemBusName

## Object Hierarchy

        GObject
        ╰── PolkitSystemBusName

## Implemented Interfaces

PolkitSystemBusName implements PolkitSubject.

## Description

An object that represents a process owning a unique name on the system bus.

## Functions

### polkit_system_bus_name_new ()

    PolkitSubject *
    polkit_system_bus_name_new (const gchar *name);

Creates a new PolkitSystemBusName for `name` .

#### Parameters

name | A unique system bus name. |

#### Returns

A PolkitSystemBusName. Free with `g_object_unref()`.

[transfer full]

### polkit_system_bus_name_get_name ()

    const gchar *
    polkit_system_bus_name_get_name (PolkitSystemBusName *system_bus_name);

Gets the unique system bus name for `system_bus_name` .

#### Parameters

system_bus_name | A PolkitSystemBusName. |

#### Returns

The unique system bus name for `system_bus_name` . Do not free, this string is owned by `system_bus_name` .

### polkit_system_bus_name_set_name ()

    void
    polkit_system_bus_name_set_name (PolkitSystemBusName *system_bus_name,
                                     const gchar *name);

Sets the unique system bus name for `system_bus_name` .

#### Parameters

system_bus_name | A PolkitSystemBusName. |
name | A unique system bus name. |

### polkit_system_bus_name_get_process_sync ()

    PolkitSubject *
    polkit_system_bus_name_get_process_sync
                                   (PolkitSystemBusName *system_bus_name,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously gets a PolkitUnixProcess object for `system_bus_name`

- the calling thread is blocked until a reply is received.

#### Parameters

system_bus_name | A PolkitSystemBusName. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. | [allow-none]

#### Returns

A PolkitUnixProcess object or `NULL` if `error` is set.

[allow-none][transfer full]

## Types and Values

### PolkitSystemBusName

    typedef struct _PolkitSystemBusName PolkitSystemBusName;

## Property Details

### The `“name”` property

      “name”                     gchar *

The unique name on the system message bus.

Owner: PolkitSystemBusName

Flags: Read / Write / Construct

Default value: NULL